<h3 class="heading">Leave Application Form</h3>
<div class="container contact-form">
 
    <form [formGroup]="leaveForm" (ngSubmit)="onSubmit()">
  
       <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <input type="text" 
                    formControlName="name"
                     name="txtName" 
                     class="form-control"
                      placeholder="Enter Name" 
                      value="" 
                      ngModel/>
                     <span 
                     *ngIf="!leaveForm.get('name').valid && leaveForm.get('name').touched" class="help-block">
                         Please enter a valid Username!</span> 
                      
                </div>
                <div class="form-group">
                    <input type="text"  
                    formControlName="email"
                     name="txtEmail" 
                     class="form-control" 
                     placeholder="Enter Email"
                     value=""
                     ngModel 
                     />
                </div>
                <div class="form-group">
                    <input type="text"
                     formControlName="number"
                      name="txtPhone"
                      class="form-control"
                      placeholder="Enter Phone Number" 
                      value="" 
                      ngModel 
                      />
                </div>
                <div class="form-group">
                    <input type="submit" name="btnSubmit" class="btnContact" value="Send">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <textarea name="txtMsg" class="form-control" placeholder="Reason for leave" value ="" style="width: 100%; height: 150px;"></textarea>
                </div>
            </div>
        </div>
    </form>
</div>
                
                
                   
                    
                  
            